## GIPropertyInfo

GIPropertyInfo — Struct representing a property

## Functions

#define | GI_IS_PROPERTY_INFO()
GParamFlags | g_property_info_get_flags ()
GITransfer | g_property_info_get_ownership_transfer ()
GITypeInfo * | g_property_info_get_type ()
GIFunctionInfo * | g_property_info_get_getter ()
GIFunctionInfo * | g_property_info_get_setter ()

## Types and Values

typedef | GIPropertyInfo

## Description

GIPropertyInfo represents a property in a GObject.

A property belongs to either a GIObjectInfo or a GIInterfaceInfo.

## Functions

### GI_IS_PROPERTY_INFO()

    #define             GI_IS_PROPERTY_INFO(info)

Checks if `info` is a GIPropertyInfo.

#### Parameters

info | an info structure |

### g_property_info_get_flags ()

    GParamFlags
    g_property_info_get_flags (GIPropertyInfo *info);

Obtain the flags for this property info. See GParamFlags for more information about possible flag values.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the flags

### g_property_info_get_ownership_transfer ()

    GITransfer
    g_property_info_get_ownership_transfer
                                   (GIPropertyInfo *info);

Obtain the ownership transfer for this property. See GITransfer for more information about transfer values.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the transfer

### g_property_info_get_type ()

    GITypeInfo *
    g_property_info_get_type (GIPropertyInfo *info);

Obtain the type information for the property `info` .

#### Parameters

info | a GIPropertyInfo |

#### Returns

the GITypeInfo, free it with `g_base_info_unref()` when done.

[transfer full]

### g_property_info_get_getter ()

    GIFunctionInfo *
    g_property_info_get_getter (GIPropertyInfo *info);

Obtains the getter function associated with this GIPropertyInfo.

The setter is only available for `G_PARAM_READABLE` properties.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the function info or `NULL` if not set. Free it with `g_base_info_unref()` when done.

[transfer full][nullable]

### g_property_info_get_setter ()

    GIFunctionInfo *
    g_property_info_get_setter (GIPropertyInfo *info);

Obtains the setter function associated with this GIPropertyInfo.

The setter is only available for `G_PARAM_WRITABLE` properties that are also not `G_PARAM_CONSTRUCT_ONLY`.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the function info or `NULL` if not set. Free it with `g_base_info_unref()` when done.

[transfer full][nullable]

## Types and Values

### GIPropertyInfo

    typedef GIBaseInfo GIPropertyInfo;

Represents a property of a GIObjectInfo or a GIInterfaceInfo.